package cn.pluss.platform.systemInfo;

import java.util.List;
import java.util.Map;
import cn.pluss.platform.entity.SystemInfo;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

public interface SystemInfoService extends IService<SystemInfo> {

    public SystemInfo querySystemInfo(SystemInfo systemInfo);

    public List<SystemInfo> querySystemInfoList(SystemInfo systemInfo);

    public void saveSystemInfo(SystemInfo systemInfo);

    public void updateSystemInfo(SystemInfo systemInfo);

    public void deleteSystemInfo(SystemInfo systemInfo);

    public List<SystemInfo> querySystemInfoPage(Map map);

    public Integer querySystemInfoPageCount(Map map);

    public void saveSystemInfoBatch(List<SystemInfo> systemInfoList);

    Page<SystemInfo> PageData(Page<SystemInfo> page, SystemInfo systemInfo);
}

